Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class AxisEngine

    java.lang.Object
      org.apache.axis2.engine.AxisEngine

    public class AxisEngine

extends java.lang.Object

There is one engine for the Server and the Client. the send() and receive() Methods are the basic operations the Sync, Async messageing are build on top.

Constructor Summary
`AxisEngine()`

Method Summary
`static MessageContext` | `createFaultMessageContext(MessageContext processingContext, java.lang.Throwable e)` Deprecated. (post 1.1 branch)
`static Handler.InvocationResponse` | `receive(MessageContext msgContext)` This methods represents the inflow of the Axis, this could be either at the server side or the client side.
`static Handler.InvocationResponse` | `resume(MessageContext msgctx)` Resume processing of a message.
`static Handler.InvocationResponse` | `resumeReceive(MessageContext msgContext)` If the msgConetext is puased and try to invoke then first invoke the phase list and after the message receiver
`static Handler.InvocationResponse` | `resumeSend(MessageContext msgContext)` To resume the invocation at the send path , this is neened since it is require to call TransportSender at the end
`static void` | `resumeSendFault(MessageContext msgContext)` here we assume that it is resume from an operation level handler
`static void` | `send(MessageContext msgContext)` This methods represents the outflow of the Axis, this could be either at the server side or the client side.
`static void` | `sendFault(MessageContext msgContext)` Sends the SOAP Fault to another SOAP node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisEngine

    public AxisEngine()

Method Detail

### createFaultMessageContext

    public static MessageContext createFaultMessageContext(MessageContext processingContext,
                                                           java.lang.Throwable e)
                                                    throws AxisFault

  Deprecated. (post 1.1 branch)

  This method is called to handle any error that occurs at inflow or outflow. But if the method is called twice, it implies that sending the error handling has failed, in which case the method logs the error and exists.

  Throws:
    `AxisFault`

### receive

    public static Handler.InvocationResponse receive(MessageContext msgContext)
                                              throws AxisFault

  This methods represents the inflow of the Axis, this could be either at the server side or the client side. Here the `ExecutionChain` is created using the Phases. The Handlers at the each Phases is ordered in deployment time by the deployment module

  Throws:
    `AxisFault`
  See Also:
    `MessageContext`, `Phase`, `Handler`

### resumeReceive

    public static Handler.InvocationResponse resumeReceive(MessageContext msgContext)
                                                    throws AxisFault

  If the msgConetext is puased and try to invoke then first invoke the phase list and after the message receiver

  Parameters:
    `msgContext` -
  Returns:
    An InvocationResponse allowing the invoker to perhaps determine whether or not the message processing will ever succeed.
  Throws:
    `AxisFault`

### resumeSend

    public static Handler.InvocationResponse resumeSend(MessageContext msgContext)
                                                 throws AxisFault

  To resume the invocation at the send path , this is neened since it is require to call TransportSender at the end

  Parameters:
    `msgContext` -
  Returns:
    An InvocationResponse allowing the invoker to perhaps determine whether or not the message processing will ever succeed.
  Throws:
    `AxisFault`

### resume

    public static Handler.InvocationResponse resume(MessageContext msgctx)
                                             throws AxisFault

  Resume processing of a message.

  Parameters:
    `msgctx` -
  Returns:
    An InvocationResponse allowing the invoker to perhaps determine whether or not the message processing will ever succeed.
  Throws:
    `AxisFault`

### send

    public static void send(MessageContext msgContext)
                     throws AxisFault

  This methods represents the outflow of the Axis, this could be either at the server side or the client side. Here the `ExecutionChain` is created using the Phases. The Handlers at the each Phases is ordered in deployment time by the deployment module

  Parameters:
    `msgContext` -
  Throws:
    `AxisFault`
  See Also:
    `MessageContext`, `Phase`, `Handler`

### sendFault

    public static void sendFault(MessageContext msgContext)
                          throws AxisFault

  Sends the SOAP Fault to another SOAP node.

  Parameters:
    `msgContext` -
  Throws:
    `AxisFault`

### resumeSendFault

    public static void resumeSendFault(MessageContext msgContext)
                                throws AxisFault

  here we assume that it is resume from an operation level handler

  Parameters:
    `msgContext` -
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.